// pages/integralmall/payIntegcouponStatus/index.js
// pages/spellGroup/mySpellGroup/index.js
const navigationBarHeight = (getApp().statusBarHeight + 50) + 'px';
var config = require("../../../config/config.js");
const Http = require("../../../utils/HttpBasics");
const imgurl = require("../../../utils/imgurl");
const utils = require("../../../utils/util.js")
let app = getApp();
Page({

  /**
   * 页面的初始数据
   */
  data: {
    navigationBarHeight,
    teljpgUrl: imgurl.teljpg.url,
    goHomeUrl: "",

  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    this.setData({
      formData:options,
      goHomeUrl: app.globalData.goHomeUrl,
    })
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },
  /**
   * 去使用
   */
  gotoUse(){
    if(this.data.formData.type=='50'){
      tt.navigateTo({
        url: '/pages/couponorder/index/index',
      })
    }else{
      tt.navigateTo({
        url: '/pages/passCar/couponList/couponList',
      })
    }
  },
  /**
   * 返回首页
   */
  gotoIndex(){
    let this_ = this
    tt.reLaunch({
      url: this_.data.goHomeUrl,
    })
  },
  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  }
})